Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft Class Reference

This class represents a draft of a content type. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft:

## Public Member Functions
| __construct (Values\ContentType\ContentType $innerContentType)
| Creates a new draft with $innerContentType. More...
| getInnerContentType ()
| Returns the inner content type. More...
| getNames ()
| {Return the human readable name in all provided languages.The structure of the return value is: `array( 'eng' => '<name_eng>', 'de' => '<name_de>' );` Returns string[] } More...
| getName ($languageCode=null)
  | {Return the name of the domain object in a given language. If $languageCode is defined, return if available, otherwise null If not, pick using the following languages codes when applicable: Prioritized languages (if provided to api on object retrieval) Main language if object is $alwaysAvailable Fallback to return in initial (version objects) or main language Parameters
  string | null | $languageCode |
Returns string|null The name for a given language, or null if $languageCode is not set or does not exist. } More...
| getDescriptions ()
| {Return the human readable description in all provided languages.The structure of the return value is: `array( 'eng' => '<description_eng>', 'de' => '<description_de>' );` Returns string[] } More...
| getDescription ($languageCode=null)
  | {Return the human readable description of the domain object in a given language. If $languageCode is defined, return if available, otherwise null If not, pick it using prioritized language (if provided to api on object retrieval), otherwise in main language Parameters
  string | null | $languageCode |
Returns string|null The description for a given language, or null if $languageCode is not set or does not exist. } More...
| getContentTypeGroups ()
| This method returns the content type groups this content type is assigned to. More...
| getFieldDefinitions ()
| This method returns the content type field definitions from this type. More...
| getFieldDefinition ($fieldDefinitionIdentifier)
| This method returns the field definition for the given identifier. More...
| __get ($propertyName)
| Magic get function handling read to non public properties. More...
| __set ($propertyName, $propertyValue)
| Magic set function handling writes to non public properties. More...
| __isset ($propertyName)
| Magic isset function handling isset() to non public properties. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $innerContentType
Protected Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
| $id
| $status
| $identifier
| $creationDate
| $modificationDate
| $creatorId
| $modifierId
| $remoteId
| $urlAliasSchema
| $nameSchema
| $isContainer
| $defaultAlwaysAvailable = true
| $defaultSortField
| $defaultSortOrder
| $languageCodes

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
const | STATUS_DEFINED = 0
const | STATUS_DRAFT = 1
const | STATUS_MODIFIED = 2
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class represents a draft of a content type.

Definition at line 16 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::__construct | ( | Values\ContentType\ContentType | $innerContentType | ) |

Creates a new draft with $innerContentType.

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $innerContentType |

Definition at line 32 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

References eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\$innerContentType.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::__get | ( |  | $property | ) |

Magic get function handling read to non public properties.

Returns value for all readonly (protected) properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 114 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ __isset()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::__isset | ( |  | $property | ) |

Magic isset function handling isset() to non public properties.

Returns true for all (public/)protected/private properties.

@ignore This method is for internal use

Parameters

  string | $property | Name of the property

Returns
  bool

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 124 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ __set()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::__set | ( |  | $property,
|  |  | $value
| ) |  |

Magic set function handling writes to non public properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 119 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getContentTypeGroups()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getContentTypeGroups | ( |  | ) |

This method returns the content type groups this content type is assigned to.

Returns
  \eZ\Publish\API\Repository\Values\ContentType\ContentTypeGroup[]

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentType.

Definition at line 87 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getDescription()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getDescription | ( |  | $languageCode = `null` | ) |

{Return the human readable description of the domain object in a given language.

- If $languageCode is defined, return if available, otherwise null
- If not, pick it using prioritized language (if provided to api on object retrieval), otherwise in main language

Parameters

  string | null | $languageCode |

Returns
  string|null The description for a given language, or null if $languageCode is not set or does not exist.

}

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageDescription.

Definition at line 77 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getDescriptions()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getDescriptions | ( |  | ) |

{Return the human readable description in all provided languages.The structure of the return value is: `array( 'eng' => '<description_eng>', 'de' => '<description_de>' );`

Returns
  string[]

}

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageDescription.

Definition at line 69 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getFieldDefinition()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getFieldDefinition | ( |  | $fieldDefinitionIdentifier | ) |

This method returns the field definition for the given identifier.

Parameters

  string | $fieldDefinitionIdentifier |

Returns
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentType.

Definition at line 109 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getFieldDefinitions()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getFieldDefinitions | ( |  | ) |

This method returns the content type field definitions from this type.

Returns
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition[]

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentType.

Definition at line 97 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getInnerContentType()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getInnerContentType | ( |  | ) |

Returns the inner content type.

ONLY FOR INTERNAL USE IN THE INTEGRATION TEST SUITE.

Returns
  \eZ\Publish\API\Repository\Values\ContentType\ContentType

Definition at line 45 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

References eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\$innerContentType.

## ◆ getName()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getName | ( |  | $languageCode = `null` | ) |

{Return the name of the domain object in a given language.

- If $languageCode is defined, return if available, otherwise null
- If not, pick using the following languages codes when applicable:
  1. Prioritized languages (if provided to api on object retrieval)
  2. Main language if object is $alwaysAvailable
  3. Fallback to return in initial (version objects) or main language

Parameters

  string | null | $languageCode |

Returns
  string|null The name for a given language, or null if $languageCode is not set or does not exist.

}

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageName.

Definition at line 61 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## ◆ getNames()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::getNames | ( |  | ) |

{Return the human readable name in all provided languages.The structure of the return value is: `array( 'eng' => '<name_eng>', 'de' => '<name_de>' );`

Returns
  string[]

}

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageName.

Definition at line 53 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

## Member Data Documentation

## ◆ $innerContentType

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft::$innerContentType
| protected

Definition at line 25 of file Core/REST/Client/Values/ContentType/ContentTypeDraft.php.

Referenced by eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\__construct(), and eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getInnerContentType().

The documentation for this class was generated from the following file:

- Core/REST/Client/Values/ContentType/ContentTypeDraft.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.